### Function

# Fwupd error_to_string

#### Declaration [src]

    const gchar*
    fwupd_error_to_string (
      FwupdError error
    )

#### Description [src]

Converts an enumerated error to a string.

Available since: | 0.7.0

#### Parameters

`error` | `FwupdError`
| An enumerated error, e.g. `FWUPD_ERROR_VERSION_NEWER`.

#### Return value

Returns: | `const gchar*`
| Identifier string.
| The data is owned by the called function.
| The value is a NUL terminated UTF-8 string.